Skip to main content
GET
/
v1
/
checkout
/
sessions
List checkout sessions
curl --request GET \
  --url https://api.plexospay.com/v1/checkout/sessions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "cs_abc123",
      "url": "https://pay.plexospay.com/cs_abc123",
      "amount": "30000",
      "currency": "CVE",
      "status": "OPEN",
      "returnUrl": "<string>",
      "completionUrl": "<string>",
      "customerId": "<string>",
      "paymentIntentId": "<string>",
      "items": [
        {
          "id": "<string>",
          "productId": "<string>",
          "name": "<string>",
          "description": "<string>",
          "quantity": 123,
          "unitPrice": "<string>",
          "currency": "CVE"
        }
      ],
      "metadata": {},
      "expiresAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Query Parameters

limit
integer
default:20

Max items per page (1-100)

Required range: 1 <= x <= 100
starting_after
string

Cursor — ID of the last item from previous page

status
enum<string>
Available options:
OPEN,
COMPLETED,
EXPIRED

Response

200 - application/json

Paginated list of checkout sessions

data
object[]
hasMore
boolean